# economy_type.h File Reference

Types related to the economy. More...

`#include "core/overflowsafe_type.hpp"`
`#include "core/enum_type.hpp"`
`#include "cargo_type.h"`

Go to the source code of this file.

## Data Structures

struct | Economy
struct | Subsidy
struct | ScoreInfo
struct | Prices

## Typedefs

typedef OverflowSafeInt64 | Money
typedef uint32 | CargoPaymentID

## Enumerations

enum | ScoreID { SCORE_BEGIN = 0, SCORE_VEHICLES = 0, SCORE_STATIONS = 1, SCORE_MIN_PROFIT = 2, SCORE_MIN_INCOME = 3, SCORE_MAX_INCOME = 4, SCORE_DELIVERED = 5, SCORE_CARGO = 6, SCORE_MONEY = 7, SCORE_LOAN = 8, SCORE_TOTAL = 9, SCORE_END = 10, SCORE_MAX = 1000 }
enum | { NUM_PRICES = 49 }
enum | ExpensesType { EXPENSES_CONSTRUCTION = 0, EXPENSES_NEW_VEHICLES, EXPENSES_TRAIN_RUN, EXPENSES_ROADVEH_RUN, EXPENSES_AIRCRAFT_RUN, EXPENSES_SHIP_RUN, EXPENSES_PROPERTY, EXPENSES_TRAIN_INC, EXPENSES_ROADVEH_INC, EXPENSES_AIRCRAFT_INC, EXPENSES_SHIP_INC, EXPENSES_LOAN_INT, EXPENSES_OTHER, EXPENSES_END, INVALID_EXPENSES = 0xFF }
enum | { LOAN_INTERVAL = 10000, LOAN_INTERVAL_OLD_AI = 50000 }

## Functions

| DECLARE_POSTFIX_INCREMENT (ScoreID)
| assert_compile (NUM_PRICES *sizeof(Money)==sizeof(Prices))

## Detailed Description

Types related to the economy.

Definition in file economy_type.h.

## Enumeration Type Documentation

enum ScoreID

Enumerator:

  SCORE_TOTAL | This must always be the last entry.
  SCORE_END | How many scores are there..
  SCORE_MAX | The max score that can be in the performance history.

Definition at line 34 of file economy_type.h.